GET Manual Locations Inputs
Headers
- Type: stringAcceptrequired
Accept header
- Type: stringAuthorizationrequired
Authorization header
- Type: stringContent
- Type requiredContent-Type header
- Type: stringA
P I - V E R S I O N requiredAPI version
- Type: stringApplicationrequired
Application key
- Type: stringX
- Request - I D requiredUnique request identifier
- enumX
- Q B - Enabled requiredHeader which if sent with value 'true' will allow usage of the query building feature in response (through the request's query params). It is mandatory for this part of the documentation.
values- true
- false
- Type: stringContent
- Language requiredLocal language code (in format xx-XX, or simpler xx) for translation purposes
Responses
- application/json
- 400
Bad Request
- 401
Unauthorized
- 403
Forbidden
- 404
Not Found
Request Example for get/manual-location-inputs/
curl https://api-public-demo.menu.app/api/manual-location-inputs/ \
--header 'Accept: application/json' \
--header 'Authorization: ' \
--header 'Content-Type: application/json' \
--header 'API-VERSION: ' \
--header 'Application: ' \
--header 'X-Request-ID: c10b4a70-6274-490d-80a0-03e7bb826937' \
--header 'X-QB-Enabled: true' \
--header 'Content-Language: en'
{
"status": "OK",
"code": 200,
"data": {
"manual_location_inputs": [
{
"name": "Ciudad de México",
"latitude": 19.429894,
"longitude": -99.149187,
"translations": {
"name": "Ciudad de México"
}
}
]
}
}